---
dependency:
  name: galaxy
  options:
    role-file: requirements.yml
    requirements-file: requirements.yml
driver:
  name: openstack
platforms:
  - name: "${CI_UNIQUE_ID}-${MOLECULE_SCENARIO_NAME}-0"
    image: "Centos 7"
    flavor: s1-2
    network: Ext-Net
    ssh_user: centos
  - name: "${CI_UNIQUE_ID}-${MOLECULE_SCENARIO_NAME}-1"
    image: "Centos 7"
    flavor: s1-2
    network: Ext-Net
    ssh_user: centos
  - name: "${CI_UNIQUE_ID}-${MOLECULE_SCENARIO_NAME}-2"
    image: "Centos 7"
    flavor: s1-2
    network: Ext-Net
    ssh_user: centos
provisioner:
  name: ansible
  playbooks:
    prepare: ../common/playbooks/prepare.yml
    create: ../common/playbooks/create.yml
    destroy: ../common/playbooks/destroy.yml
  config_options:
    defaults:
      callback_whitelist: coverage
      host_key_checking: false
verifier:
  name: testinfra
  options:
    sudo: true
